import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class ViewerService {

  private viewer;

  constructor() { }

  initViewer(containerId: string, options?) {
    if (!this.viewer) {
      this.viewer = new smart3d.Viewer(containerId, options || {});
    }
  }
}
